Security Enhanced Linux Reference Policy

# Layer: admin

## Module: sudo

Tunables Interfaces Templates

### Description:

Execute a command with a substitute user

### Tunables:

sudo_all_tcp_connect_http_port

##### Default value

false

##### Description

Determine whether all sudo domains can connect to TCP HTTP ports. This is needed if an additional authentication mechanism via an HTTP server is required for users to use sudo.

Return

### Interfaces:

sudo_sigchld( domain )

##### Summary

Send a SIGCHLD signal to the sudo domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

sudo_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for the sudo module.

##### Description

This template creates a derived domain which is allowed to change the linux user id, to run commands as a different user.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_role | The user role.
user_domain | The user domain associated with the role.

Return